/*
 * MyDirectoryFilter.java. 
 */

package com.uvigo.tMaestro.SCOCreator.tool;

/**
 * Esta clase se utiliza para encontrar ficheros o directorios con los nombres indicados
 * @author RA
 * @version 0.1
 */
public class MyDirectoryFilter implements java.io.FileFilter {
    
    /**
     * Almacena los nombres de ficheros y directorios que se pretenden filtrar
     */
    private java.util.HashSet<String> oFiltros= null;
 
    /**
     * Contructor de la clase
     */
    public MyDirectoryFilter() {
        this.oFiltros = new java.util.HashSet();
    }
    
    /**
     * La funcion devueve true si el fichero representado por oFile tiene el mismo
     * nombre que los que se han anadido al Hashset
     * @return True si el nombre del fichero coincide con uno de los que se mantienen en el hashset
     * @param oFile El fichero que se desea comprobar
     */
    public boolean accept(java.io.File oFile) {
        if(oFile != null) {
            if(oFiltros.contains(oFile.getName().toLowerCase())) return true;
        }
        return false;
    }
    
    
    /**
     * Anade un nombre al hashset
     * @param sNombre El nombre a a�adir
     */
    public void vAddName(String sNombre) {
        oFiltros.add(sNombre.toLowerCase());
    }
    
    
}
